error while removing puppet classes
Status: Closed

Priority: Normal

Assignee: Ohad Levy

Category: Importers

Target version: 1.0

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Hi, i try to update my puppet classes, get the following error
see the screenshots.
Associated revisions

Revision 04ca0737 - 01/15/2012 09:44 AM - Ohad Levy

fixes #1436 - error while removing puppet classes

History

#1 - 01/09/2012 09:57 AM - Florian Koch

Started POST "/environments/obsolete_and_new" for xx.xx.xx.xx at Mon Jan 09 15:48:37 +0100 2012
Processing by EnvironmentsController#obsolete_and_new as HTML
Parameters: {"commit"=>"Update", "changed"=>{"new"=>{"entwicklung"=>"[\"compile::tools\",\"xxxx::server:;jobman\"]",

"integration"=>"[\"compile::tools\",\"xxxx::server::jobman\"]", "abnahme"=>"[\"compile::tools\",\"xxxx::server:;jobman\"]",
"innendienst"=>"[\"compile::tools\",\"xxxx::server::;jobman\"]", "produktion"=>"[\"compile::tools\",\"xxxx::server::;jooman\"]"},
"obsolete"=>{"entwicklung"=>"[\"compile\",\"local\"]", "integration"=>"[\"compile\",\"local\"]", "abnahme"=>"[\"compile\",\"local\"]",
"innendienst"=>"[\"compile\",\"local\"]", "produktion"=>"[\"compile\",\"local\"]"}},
"authenticity_token"=>"sh2rsXrYFJsgDIWKhQNe1q68|PTHQarcPNBPmDdv7P8=", "utf8"=>"[1"}

Operation FAILED: can't convert String into Array

Rendered bookmarks/_list.html.erb (2.1ms)

Rendered bookmarks/_list.html.erb (0.4ms)

Rendered home/_settings.html.erb (7.2ms)

Rendered home/_user_dropdown.rhtml (1.1ms)

Rendered home/_topbar.rhtml (122.5ms)

Rendered common/500.rhtml within layouts/application (129.5ms)

Completed 500 Internal Server Error in 249ms (Views: 129.2ms | ActiveRecord: 73.8ms)

#2 - 01/15/2012 09:44 AM - Ohad Levy
- Category set to Importers

- Assignee set to Ohad Levy

#3 - 01/15/2012 10:32 AM - Ohad Levy
- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 04ca0737476621517a2a85b5ed4edf73eb3c7124.
